package com.simuwang.base.common.enums;

import java.util.stream.Stream;

/**
 * FileName: DeletionType
 * Author:   chenjianhua
 * Date:     2024/9/17 22:10
 * Description: ${DESCRIPTION}
 */
public enum SignMethodType {
    //单位分红/拆分比例
    HOSTING(1, "托管平台授权"), SINGE_SIGN(2, "单方签约"),
    BOTH_SIGN(3, "双方签约");

    private final Integer code;
    private final String info;

    SignMethodType(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public static SignMethodType getSignMethodTypeByCode(Integer code) {
        if (null == code){
            return null;
        }
        for(SignMethodType s : SignMethodType.values()){
            if(code.equals(s.getCode())){
                return s;
            }
        }
        return null;
    }

    public static SignMethodType getSignMethodTypeByInfo(String info) {
        return Stream.of(SignMethodType.values()).filter(e -> e.info.equals(info)).findFirst().orElse(null);
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
